<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html" xmlns:a4j="http://richfaces.org/a4j" xmlns:g="http://www.ihe.net/gazelle" xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns="http://www.w3.org/1999/xhtml">
  <gri:panel id="editConfigurationPanel" rendered="#{confman.displayEditPanel == true and identity.loggedIn}">
    <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.ConfigurationEdit']}</f:facet>
    <a4j:region id="configNameRegion">
      <s:decorate id="editconfigNameDecorate" template="/layout/edit.xhtml">
        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Name']}</ui:define>
        <h:inputText id="editconfigurationNameValue" value="#{confman.selectedSystemConfiguration.name}" tabindex="1" size="30" maxlength="128">
          <a4j:ajax event="blur" render="editconfigNameDecorate"/>
        </h:inputText>
      </s:decorate>
    </a4j:region>
    <a4j:region id="systemNameRegion">
      <s:decorate id="editSystemNameDecorate" template="/layout/edit.xhtml">
        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.SystemName']}</ui:define>
        <h:inputText id="editSystemNameValue" value="#{confman.selectedSystemConfiguration.systemName}" tabindex="1" size="30" maxlength="128">
          <a4j:ajax event="blur" render="editSystemNameValue"/>
        </h:inputText>
      </s:decorate>
    </a4j:region>
    <a4j:region id="systemUrlRegion">
      <s:decorate id="editsystemUrlDecorate" template="/layout/edit.xhtml">
        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.URL']}</ui:define>
        <h:inputText id="editsystemUrlValue" value="#{confman.selectedSystemConfiguration.url}"  styleClass="form-control ajaxSupport" tabindex="1" size="80" maxlength="128"/>
        <a4j:ajax event="blur" render="editsystemUrlDecorate"/>
      </s:decorate>
    </a4j:region>
    <ui:insert name="additional_attributes"/>
    <br/>
    <br/>
		<a4j:commandButton id="saveConfigButton"
			actionListener="#{confman.saveCurrentConfiguration()}"
			value="#{messages['net.ihe.gazelle.xdstar.Save']}"
			styleClass="gzl-btn-green" render="globalDiv" />
		<a4j:commandButton id="backButton" actionListener="#{confman.back()}"
			value="#{messages['net.ihe.gazelle.xdstar.Cancel']}" 
			styleClass="gzl-btn" render="globalDiv" />
	</gri:panel>
  <br/>
</ui:composition>
